Minimum hardware required for AMD VCE option?

HandBrake for Windows support
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Post Reply
MiamiVice84
Posts: 3
Joined: Wed Dec 12, 2018 2:05 pm

Minimum hardware required for AMD VCE option?

Post by MiamiVice84 » Wed Dec 12, 2018 2:12 pm

Hello. I haven't played around with Handbrake much in a while and recently installed it in a PC I put together with spare parts.

AMD A10-5800k APU
HD 7660D integrated
HD 6450 discrete

I was excited to learn that VCE had been added to Handbrake, but I don't seem to have it as an option. It is not greyed out; it simply isn't there (neither is Quicksync, which I assume was by default since I have an AMD system).

I have tried both 1.1.2 and a few recent nightlies.

User avatar
s55
HandBrake Team
Posts: 9608
Joined: Sun Dec 24, 2006 1:05 pm

Re: Minimum hardware required for AMD VCE option?

Post by s55 » Wed Dec 12, 2018 7:25 pm

Your hardware is not supported I'm afraid. It's only available in the currently nightly.

The preferences to enable automatically grey out for unsupported hardware.

Basically, Anything that's not Polaris or Vega, is not supported by us. Some of the older cards may work. We don't block it but we won't offer any support for problems with older cards.

MiamiVice84
Posts: 3
Joined: Wed Dec 12, 2018 2:05 pm

Re: Minimum hardware required for AMD VCE option?

Post by MiamiVice84 » Fri Dec 14, 2018 11:04 pm

thank you for the answer.

Just to understand you correctly you said you don't block it but it won't work, and that it would automatically grey out on unsupported hardware. But I haven't got it as an option at all. I'd be willing to test it on my system and report bugs and functionality back if it works.

If it is indeed limited to those chipsets perhaps that could be added to a wiki article. I did a number of searches here, at github, reddit, and on the internet at large looking for compatible hardware. If it is known what it supports hopefully that will eliminate this question in the future.

regards.

User avatar
s55
HandBrake Team
Posts: 9608
Joined: Sun Dec 24, 2006 1:05 pm

Re: Minimum hardware required for AMD VCE option?

Post by s55 » Fri Dec 14, 2018 11:24 pm

1.1.2 doesn't support it at all. Nightlies will have grey'd out checkboxes. If it didn't, you were not running the nightly.
Note, it's called "HandBrake Nightly" in the start menu, not "handBrake"

In your case, it doesn't really matter. Neither your Discrete or CPU GPU has VCE support. They are both older terascale architectures which was pre-VCE.

https://handbrake.fr/docs/en/latest/tec ... o-vce.html is a WIP, but already notes we don't play to support anything old.

MiamiVice84
Posts: 3
Joined: Wed Dec 12, 2018 2:05 pm

Re: Minimum hardware required for AMD VCE option?

Post by MiamiVice84 » Sat Dec 15, 2018 12:12 am

thank you S55 for walking me through that. I wasn't aware it would need to be enabled (if available) in the preferences. I just saw that option now trying to figure out why I didn't see it even greyed out. Have a great weekend!

Post Reply